---
title: ID selectors
slug: Web/CSS/ID_selectors
tags:
  - CSS
  - Reference
  - Selector
  - Selectors
---
<div>{{CSSRef}}</div>

<p>The CSS <strong>ID selector</strong> matches an element based on the value of the element’s {{htmlattrxref("id")}} attribute. In order for the element to be selected, its <code>id</code> attribute must match exactly the value given in the selector.</p>

<pre class="brush: css no-line-numbers notranslate">/* The element with id="demo" */
#demo {
  border: red 2px solid;
}</pre>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">#id_value { <em>style properties</em> }</pre>

<p>Note that syntactically (but not specificity-wise), this is equivalent to the following {{Cssxref("Attribute_selectors", "attribute selector")}}:</p>

<pre class="syntaxbox notranslate">[id=id_value] { <em>style properties</em> }</pre>

<h2 id="Examples">Examples</h2>

<h3 id="CSS">CSS</h3>

<pre class="brush: css notranslate">#identified {
  background-color: skyblue;
}
</pre>

<h3 id="HTML">HTML</h3>

<pre class="brush: html notranslate">&lt;div id="identified"&gt;This div has a special ID on it!&lt;/div&gt;
&lt;div&gt;This is just a regular div.&lt;/div&gt;
</pre>

<h3 id="Result">Result</h3>

<p>{{EmbedLiveSample("Examples", '100%', 50)}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("CSS4 Selectors", "#id-selectors", "ID selectors")}}</td>
   <td>{{Spec2("CSS4 Selectors")}}</td>
   <td></td>
  </tr>
  <tr>
   <td>{{SpecName("CSS3 Selectors", "#id-selectors", "ID selectors")}}</td>
   <td>{{Spec2("CSS3 Selectors")}}</td>
   <td></td>
  </tr>
  <tr>
   <td>{{SpecName("CSS2.1", "selector.html#id-selectors", "ID selectors")}}</td>
   <td>{{Spec2("CSS2.1")}}</td>
   <td></td>
  </tr>
  <tr>
   <td>{{SpecName("CSS1", "#id-as-selector", "ID selectors")}}</td>
   <td>{{Spec2("CSS1")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.selectors.id")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/CSS/CSS_Selectors">CSS Selectors</a></li>
 <li><a href="/en-US/docs/Learn/CSS/Building_blocks/Selectors">Learn CSS: Selectors</a></li>
</ul>
